Bug 980 - NFS/MOUNTD problem?
NFS/MOUNTD problem?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
http://www.redhat.com/errata
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-27 19:56 EST by atsekhan
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-28 10:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description atsekhan 1999-01-27 19:56:14 EST
It appears that NFS server and/or client and/or MOUNTD has
a security bug which allows an intruder to add shell
accounts to the /etc/passwd file. We had an attemted
breakin stopped only after the intruder tripped certain
security measures installed on the machine, but AFTER
successfull unauthorized login.
The NFS server was installed and running even though
NOTHING was shared through the NFS.

If you need more info on the subject, please contact
Alex Tsekhansky @

atsekhan@conklin-inc.com

If this is a known bug, I would appreciate the info on the
fix.
Comment 1 Bill Nottingham 1999-01-28 10:43:59 EST
upgrade to the latest nfs-* from the errata.

Note You need to log in before you can comment on or make changes to this bug.